import {ParamRequestDecorator} from '../../../../backend';

declare module '../../../../backend' {
	interface RequestContext {
		scheme: string;
	}
}

export const decorateRequestWithScheme: ParamRequestDecorator<[string]> = (scheme) => (req) => {
	req.scheme = scheme;

	return req;
};
