import {ParamRequestDecorator} from '../../../../backend';

declare module '../../../../backend' {
	interface RequestContext {
		basePath: string;
	}
}

export const decorateRequestWithBasePath: ParamRequestDecorator<[string]> = (basePath) => (req) => {
	req.basePath = basePath;

	return req;
}
