import {ParamRequestDecorator} from '../../../../backend';

declare module '../../../../backend' {
	interface RequestContext {
		host: string;
	}
}

export const decorateRequestWithHost: ParamRequestDecorator<[string]> = (host) => (req) => {
	req.host = host;

	return req;
};
